Bug 160998 - [MAINTAINER] devel/gwenhywfar, finance/aqbanking: Update to latest versions
Summary: [MAINTAINER] devel/gwenhywfar, finance/aqbanking: Update to latest versions
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-24 23:50 UTC by Jason E. Hale
Modified: 2011-10-02 22:10 UTC (History)
0 users

See Also:


Attachments
2011-09-24-gwenhywfar.diff (1.86 KB, patch)
2011-09-24 23:50 UTC, Jason E. Hale
no flags Details | Diff
2011-09-24-libchipcard.diff (630 bytes, patch)
2011-09-24 23:50 UTC, Jason E. Hale
no flags Details | Diff
2011-09-24-kmymoney-kde4.diff (407 bytes, patch)
2011-09-24 23:50 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2011-09-24 23:50:07 UTC
Update the AqBanking suite to their latest versions. These should be done together.
- Update devel/gwenhywfar to 4.3.0
- Update finance/aqbanking to 5.0.16

devel/gwenhywfar has a shlib version bump, so increase the PORTREVSION on the following ports:
- devel/libchipcard
- finance/gnucash
- finance/kmymoney-kde4

Fix: diff -ruN aqbanking.orig/Makefile aqbanking/Makefile
--- aqbanking.orig/Makefile	2011-09-23 18:22:28.000000000 -0400
+++ aqbanking/Makefile	2011-09-24 17:57:52.000000000 -0400
@@ -6,9 +6,9 @@
 #
 
 PORTNAME=	aqbanking
-PORTVERSION=	5.0.14
+PORTVERSION=	5.0.16
 CATEGORIES=	finance
-MASTER_SITES=	http://www.aquamaniac.de/sites/download/download.php?package=03&release=85&file=01&dummy=/
+MASTER_SITES=	http://www.aquamaniac.de/sites/download/download.php?package=03&release=87&file=01&dummy=/
 
 MAINTAINER=	bsdkaffee@gmail.com
 COMMENT=	Online banking interface and financial data framework
@@ -16,7 +16,7 @@
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-LIB_DEPENDS=	gwenhywfar.62:${PORTSDIR}/devel/gwenhywfar \
+LIB_DEPENDS=	gwenhywfar.63:${PORTSDIR}/devel/gwenhywfar \
 		gmp.10:${PORTSDIR}/math/gmp
 
 USE_GMAKE=	yes
diff -ruN aqbanking.orig/distinfo aqbanking/distinfo
--- aqbanking.orig/distinfo	2011-07-31 16:07:28.000000000 -0400
+++ aqbanking/distinfo	2011-09-24 17:56:45.000000000 -0400
@@ -1,2 +1,2 @@
-SHA256 (aqbanking-5.0.14.tar.gz) = fbd52d3ac712673db2d67a04c9a3d8c07f4180c1591c006fd86ff66c5dfeef06
-SIZE (aqbanking-5.0.14.tar.gz) = 3549299
+SHA256 (aqbanking-5.0.16.tar.gz) = 01d7f7184a88f53c75b2a784b556e57b80e8bdae24c537cfafb78daadbdec1ea
+SIZE (aqbanking-5.0.16.tar.gz) = 3550937
diff -ruN aqbanking.orig/pkg-plist aqbanking/pkg-plist
--- aqbanking.orig/pkg-plist	2011-07-31 16:07:28.000000000 -0400
+++ aqbanking/pkg-plist	2011-09-24 17:56:45.000000000 -0400
@@ -322,6 +322,7 @@
 share/aqbanking/imexporters/eri/profiles/default.conf
 share/aqbanking/imexporters/eri2/eriformat.xml
 share/aqbanking/imexporters/ofx/profiles/default.conf
+share/aqbanking/imexporters/ofx/profiles/iso8859.conf
 share/aqbanking/imexporters/openhbci1/profiles/default.conf
 share/aqbanking/imexporters/q43/profiles/default.conf
 share/aqbanking/imexporters/sepa/profiles/ccm.conf
--- 2011-09-24-aqbanking.diff ends here ---

diff -ruN gnucash.orig/Makefile gnucash/Makefile
--- gnucash.orig/Makefile	2011-09-24 18:16:29.000000000 -0400
+++ gnucash/Makefile	2011-09-24 18:17:16.000000000 -0400
@@ -8,7 +8,7 @@
 
 PORTNAME=	gnucash
 PORTVERSION=	2.4.7
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	finance gnome
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}%20%28stable%29/${PORTVERSION}
 
--- 2011-09-24-gnucash.diff ends here ---
How-To-Repeat: Use attached diffs.
Comment 1 Steve Wills freebsd_committer 2011-09-25 16:03:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 2 dfilter service freebsd_committer 2011-10-02 22:00:29 UTC
swills      2011-10-02 21:00:17 UTC

  FreeBSD ports repository

  Modified files:
    devel/gwenhywfar     Makefile distinfo pkg-plist 
  Log:
  - Update to 4.3.0
  
  PR:             ports/160998
  Submitted by:   Jason E. Hale <bsdkaffee@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.28      +2 -2      ports/devel/gwenhywfar/Makefile
  1.12      +2 -2      ports/devel/gwenhywfar/distinfo
  1.12      +2 -1      ports/devel/gwenhywfar/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2011-10-02 22:01:13 UTC
swills      2011-10-02 21:01:05 UTC

  FreeBSD ports repository

  Modified files:
    finance/aqbanking    Makefile distinfo pkg-plist 
  Log:
  - Update to 5.0.16
  
  PR:             ports/160998
  Submitted by:   Jason E. Hale <bsdkaffee@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.29      +3 -3      ports/finance/aqbanking/Makefile
  1.12      +2 -2      ports/finance/aqbanking/distinfo
  1.15      +1 -0      ports/finance/aqbanking/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2011-10-02 22:02:31 UTC
swills      2011-10-02 21:02:23 UTC

  FreeBSD ports repository

  Modified files:
    devel/libchipcard    Makefile 
  Log:
  - Chase devel/gwenhywfar has a shlib version bump
  
  PR:             ports/160998
  Submitted by:   Jason E. Hale <bsdkaffee@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.23      +2 -1      ports/devel/libchipcard/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2011-10-02 22:03:01 UTC
swills      2011-10-02 21:02:53 UTC

  FreeBSD ports repository

  Modified files:
    finance/gnucash      Makefile 
  Log:
  - Chase devel/gwenhywfar has a shlib version bump
  
  PR:             ports/160998
  Submitted by:   Jason E. Hale <bsdkaffee@gmail.com>
  
  Revision  Changes    Path
  1.161     +1 -1      ports/finance/gnucash/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2011-10-02 22:03:29 UTC
swills      2011-10-02 21:03:21 UTC

  FreeBSD ports repository

  Modified files:
    finance/kmymoney-kde4 Makefile 
  Log:
  - Chase devel/gwenhywfar has a shlib version bump
  
  PR:             ports/160998
  Submitted by:   Jason E. Hale <bsdkaffee@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.49      +1 -0      ports/finance/kmymoney-kde4/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Steve Wills freebsd_committer 2011-10-02 22:03:40 UTC
State Changed
From-To: open->closed

Committed. Thanks!